GET /api/chains/rank/{rank}
Chain by TVL rank
List supported blockchain networks
Endpoint​
GET https://api.web3identity.com/api/chains/rank/{rank}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
rank | path | integer | âś… | Ranking position or type |
Example Request​
curl -s "https://api.web3identity.com/api/chains/rank/:rank" | jq
Responses​
200 Chain data​
{
"chains": [
{
"name": "Ethereum",
"chainId": 1,
"tvl": 89500000000,
"protocols": 457
},
{
"name": "BSC",
"chainId": 56,
"tvl": 12300000000,
"protocols": 234
},
{
"name": "Polygon",
"chainId": 137,
"tvl": 8900000000,
"protocols": 189
}
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required - free tier exhausted​
{
"example": "response"
}
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec